// -*-C++-*-
/*!
 * @file  MapImageSelectorSVC_impl.h
 * @brief Service implementation header of MapImageSelector.idl
 *
 * @author 株式会社 東日本計算センター
 *
 * New BSD
 *
 */

#include "MapImageSelectorSkel.h"

#ifndef MAPIMAGESELECTORSVC_IMPL_H
#define MAPIMAGESELECTORSVC_IMPL_H
 
/*!
 * @class MapImageReqSelectImageSVC_impl
 * Example class implementing IDL interface MapImageSelectReqServ::MapImageReqSelectImage
 */
class MapImageReqSelectImageSVC_impl
 : public virtual POA_MapImageSelectReqServ::MapImageReqSelectImage,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~MapImageReqSelectImageSVC_impl();

	 //add
	 unsigned long m_ulGroupId;

 public:
  /*!
   * @brief standard constructor
   */
   MapImageReqSelectImageSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~MapImageReqSelectImageSVC_impl();

   // attributes and operations
   CORBA::UShort usSetMapImageReqSelectImage(CORBA::ULong ulGroupId);
   void GetMapImageReqSelectImage(CORBA::ULong& ulGroupId);
   void InitMapImageReqSelectImage(void);

};

/*!
 * @class MapImageReqScrollSVC_impl
 * Example class implementing IDL interface MapImageSelectReqServ::MapImageReqScroll
 */
class MapImageReqScrollSVC_impl
 : public virtual POA_MapImageSelectReqServ::MapImageReqScroll,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~MapImageReqScrollSVC_impl();

	 //add
	 unsigned long m_ulArrow;

 public:
  /*!
   * @brief standard constructor
   */
   MapImageReqScrollSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~MapImageReqScrollSVC_impl();

   // attributes and operations
   CORBA::UShort usSetMapImageReqScroll(CORBA::ULong ulArrow);
   void GetMapImageReqScroll(CORBA::ULong& ulArrow);
   void InitMapImageReqScroll(void);

};

/*!
 * @class MapImageReqAdjZoomSVC_impl
 * Example class implementing IDL interface MapImageSelectReqServ::MapImageReqAdjZoom
 */
class MapImageReqAdjZoomSVC_impl
 : public virtual POA_MapImageSelectReqServ::MapImageReqAdjZoom,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~MapImageReqAdjZoomSVC_impl();

	 //add
	 unsigned long m_ulZoomAdj;

 public:
  /*!
   * @brief standard constructor
   */
   MapImageReqAdjZoomSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~MapImageReqAdjZoomSVC_impl();

   // attributes and operations
   CORBA::UShort usSetMapImageReqAdjZoom(CORBA::ULong ulZoomAdj);
   void GetMapImageReqAdjZoom(CORBA::ULong& ulZoomAdj);
   void InitMapImageReqAdjZoom(void);

};

/*!
 * @class MapImageReqAdjMapChangeSVC_impl
 * Example class implementing IDL interface MapImageSelectReqServ::MapImageReqAdjMapChange
 */
class MapImageReqAdjMapChangeSVC_impl
 : public virtual POA_MapImageSelectReqServ::MapImageReqAdjMapChange,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~MapImageReqAdjMapChangeSVC_impl();

	 //add
	 unsigned long m_ulMapKind;

 public:
  /*!
   * @brief standard constructor
   */
   MapImageReqAdjMapChangeSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~MapImageReqAdjMapChangeSVC_impl();

   // attributes and operations
   CORBA::UShort usSetMapImageReqAdjMapChange(CORBA::ULong ulMapKind);
   void GetMapImageReqAdjMapChange(CORBA::ULong& ulMapKind);
   void InitMapImageReqAdjMapChange(void);

};

/*!
 * @class MapImageNoticeSVC_impl
 * Example class implementing IDL interface MapImageStsServ::MapImageNotice
 */
class MapImageNoticeSVC_impl
 : public virtual POA_MapImageStsServ::MapImageNotice,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~MapImageNoticeSVC_impl();

	//add
	 unsigned long m_ulNotice;
	 unsigned long m_ulParam;

 public:
  /*!
   * @brief standard constructor
   */
   MapImageNoticeSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~MapImageNoticeSVC_impl();

   // attributes and operations
   CORBA::UShort usSetMapImageNotice(CORBA::ULong ulNotice, CORBA::ULong ulPram);
   void GetMapImageNotice(CORBA::ULong& ulNotice, CORBA::ULong& ulPram);
   void InitMapImageNotice(void);

};



#endif // MAPIMAGESELECTORSVC_IMPL_H


